Bug 542027 - Review Request: php-nusoap - SOAP toolkit for PHP
Review Request: php-nusoap - SOAP toolkit for PHP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 544724 544722
  Show dependency treegraph
 
Reported: 2009-11-27 19:22 EST by David Nalley
Modified: 2010-02-03 15:03 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.7.3-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 13:16:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
giallu: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-11-27 19:22:03 EST
Spec URL: http://ke4qqq.fedorapeople.org/php-nusoap.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-nusoap-0.7.3-1.fc12.src.rpm
Description: NuSOAP is a rewrite of SOAPx4, provided by NuSphere and Dietrich Ayala. It is
a set of PHP classes - no PHP extensions required - that allow developers to
create and consume web services based on SOAP 1.1, WSDL 1.1 and HTTP 1.0/1.1.


[ke4qqq@nalleyx60 SPECS]$ rpmlint php-nusoap.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../RPMS/noarch/php-nusoap-0.7.3-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../SRPMS/php-nusoap-0.7.3-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Gianluca Sforna 2009-12-08 18:04:19 EST
I'll review this, one of my packages also bundles this lib
Comment 2 Gianluca Sforna 2009-12-08 18:42:50 EST
spec looks good, for more legibility I'd add some blank lines before %prep, %build and %install.

One important thing though. I checked the license in nusoap.php and the correct one looks like LGPLv2+

http://nusoap.cvs.sourceforge.net/viewvc/nusoap/lib/nusoap.php?revision=1.121&view=markup

You may also consider dropping the requirement on PHP 4.2, I'm pretty sure every current build target in Fedora has a newer one.

Only the license is a blocker, fix it and I can approve this package
Comment 3 David Nalley 2009-12-08 23:47:38 EST
Spec URL: http://ke4qqq.fedorapeople.org/php-nusoap.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-nusoap-0.7.3-2.fc12.src.rpm

I added blank lines for legibility, corrected license to LGPLv2+, and dropped version require of php to an unversioned php-common
Comment 4 Gianluca Sforna 2009-12-09 10:17:44 EST
Official Review:

* Naming is correct
* License is good for Fedora
* spec file legible
* sources matches upstream
* Mock build for F12 succeed

APPROVED
Comment 5 David Nalley 2009-12-09 10:47:39 EST
Thanks for the review Gianluca! 

New Package CVS Request
=======================
Package Name: php-nusoap
Short Description: SOAP toolkit for PHP
Owners: ke4qqq
Branches: EL-5 F-11 F-12
InitialCC:
Comment 6 Kevin Fenzi 2009-12-09 12:42:02 EST
cvs done.
Comment 7 Fedora Update System 2009-12-10 19:27:49 EST
php-nusoap-0.7.3-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-nusoap-0.7.3-2.fc12
Comment 8 Fedora Update System 2009-12-10 19:27:55 EST
php-nusoap-0.7.3-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/php-nusoap-0.7.3-2.el5
Comment 9 Fedora Update System 2009-12-10 19:27:59 EST
php-nusoap-0.7.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-nusoap-0.7.3-2.fc11
Comment 10 Fedora Update System 2009-12-11 13:16:19 EST
php-nusoap-0.7.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-12-11 13:33:14 EST
php-nusoap-0.7.3-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-02-03 15:03:31 EST
php-nusoap-0.7.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.